Subject: Re: [core-packages-team 5/5] DRAFT gnu: gcc: Update gcc, gcc-toolchain to 14.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sun, 08 Dec 2024 19:13:08 +0100

Janneke Nieuwenhuizen writes:

Hi,

>> So, I've just built "hello" for x86_64-linux on "core-packages-team"
>> (yay!) mostly re-using gcc-14 patches/workarounds that I created for the
>> Hurd.
>
> [..]
>
> I've all but reconfigured--guix system reconfigure

That was apparently not true, somewhere in the process I somehow built from
another branch.  Anyway, still making good progress.... :-/

On IRC, Efraim reports that i686-linux and aarch64-linux fail to build
hello on current core-packages-team.  That makes me reconsider whether
this strategy

> I kept the scope narrow: x86_64-linux, because it has proven to be
> very hard to predict what's needed on other architectures.

which makes a lot of sense for patches that go to "master" is a good
strategy for core-packages-team.  Possibly it's better to use an
unlimited scope?  Oh well.

Greetings,
Janneke -- building /gnu/store/m5m6qzlxypk1y58yp69501rhq5qmz3r4-llvm-18.1.8.drv...

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com